Package ghidra.trace.database.program

# Class DBTraceProgramView.EventTranslator

java.lang.Object
ghidra.trace.util.TypedEventDispatcher
ghidra.trace.database.program.DBTraceProgramView.EventTranslator

All Implemented Interfaces:
  `DBTraceDirectChangeListener`

Enclosing class:
  `DBTraceProgramView`

protected class DBTraceProgramView.EventTranslator extends TypedEventDispatcher implements DBTraceDirectChangeListener

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.trace.util.TypedEventDispatcher

  `TypedEventDispatcher.AffectedAndValuesOnlyHandler<T,U>, TypedEventDispatcher.AffectedObjectHandler<T>, TypedEventDispatcher.AffectedObjectOnlyHandler<T>, TypedEventDispatcher.EventRecordHandler<T,U>, TypedEventDispatcher.FullEventRecordHandler<T,U>, TypedEventDispatcher.IgnoreAllHandler, TypedEventDispatcher.IgnoreValuesHandler, TypedEventDispatcher.SpaceValuesHandler<U>, TypedEventDispatcher.ValuesOnlyHandler<U>`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.util.TypedEventDispatcher

  `restoredHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventTranslator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `changed(DomainObjectChangeRecord event)`
  `protected void`
  `fireBookmarkAdded(DomainObjectEventQueues queues, TraceBookmark bm)`
  `protected void`
  `fireBookmarkChanged(DomainObjectEventQueues queues, TraceBookmark bm)`
  `protected void`
  `fireBookmarkRemoved(DomainObjectEventQueues queues, TraceBookmark bm)`
  `protected void`
  `fireCodeAdded(DomainObjectEventQueues queues, Address min, Address max)`
  `protected void`
  `fireCodeRemoved(DomainObjectEventQueues queues, Address min, Address max, TraceCodeUnit removed)`
  `protected void`
  `fireMemoryBytesChanged(DomainObjectEventQueues queues, TraceAddressSnapRange range)`
  `void`
  `fireSymbolAdded(DomainObjectEventQueues queues, TraceSymbol symbol)`
  `protected void`
  `fireSymbolRemoved(DomainObjectEventQueues queues, TraceSymbol symbol)`

  ### Methods inherited from class ghidra.trace.util.TypedEventDispatcher

  `handleChangeRecord, handleTraceChangeRecord, listenFor, listenFor, listenFor, listenFor, listenFor, listenFor, listenFor, listenFor, listenFor, listenForUntyped, unhandled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventTranslator

    public EventTranslator()

- ## Method Details

  - ### changed

    public void changed(DomainObjectChangeRecord event)
    Specified by:
      `changed` in interface `DBTraceDirectChangeListener`

  - ### fireBookmarkAdded

    protected void fireBookmarkAdded(DomainObjectEventQueues queues, TraceBookmark bm)

  - ### fireBookmarkChanged

    protected void fireBookmarkChanged(DomainObjectEventQueues queues, TraceBookmark bm)

  - ### fireBookmarkRemoved

    protected void fireBookmarkRemoved(DomainObjectEventQueues queues, TraceBookmark bm)

  - ### fireCodeAdded

    protected void fireCodeAdded(DomainObjectEventQueues queues, Address min, Address max)

  - ### fireCodeRemoved

    protected void fireCodeRemoved(DomainObjectEventQueues queues, Address min, Address max, TraceCodeUnit removed)

  - ### fireMemoryBytesChanged

    protected void fireMemoryBytesChanged(DomainObjectEventQueues queues, TraceAddressSnapRange range)

  - ### fireSymbolAdded

    public void fireSymbolAdded(DomainObjectEventQueues queues, TraceSymbol symbol)

  - ### fireSymbolRemoved

    protected void fireSymbolRemoved(DomainObjectEventQueues queues, TraceSymbol symbol)